# GpgFrontend Project: src/ui/dialog/keypair_details/KeyPairOperaTab.h Source File

KeyPairOperaTab.h
#ifndef GPGFRONTEND_KEYPAIROPERATAB_H
#define GPGFRONTEND_KEYPAIROPERATAB_H
#include "core/function/gpg/GpgKeyGetter.h"
#include "ui/GpgFrontendUI.h"
namespace GpgFrontend::UI {
class KeyPairOperaTab : public QWidget {
Q_OBJECT
public:
KeyPairOperaTab(const std::string& key_id, QWidget* parent);
void CreateOperaMenu();
signals:
void SignalKeyDatabaseRefresh();
private slots:
void slot_export_private_key();
void slot_export_short_private_key();
void slot_export_public_key();
void slot_modify_edit_datetime();
void slot_modify_password();
void slot_upload_key_to_server();
void slot_update_key_from_server();
void slot_gen_revoke_cert();
void slot_modify_tofu_policy();
void slot_set_owner_trust_level();
private:
GpgKey m_key_;
QMenu* key_server_opera_menu_{};
QMenu* secret_key_export_opera_menu_{};
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_KEYPAIROPERATAB_H
GpgFrontend::GpgKey
Definition: GpgKey.h:43
GpgFrontend::UI::KeyPairOperaTab
Definition: KeyPairOperaTab.h:34
GpgFrontend::UI::KeyPairOperaTab::slot_export_private_key
void slot_export_private_key()
Definition: KeyPairOperaTab.cpp:255
GpgFrontend::UI::KeyPairOperaTab::CreateOperaMenu
void CreateOperaMenu()
Create a Opera Menu object.
Definition: KeyPairOperaTab.cpp:130
GpgFrontend::UI::KeyPairOperaTab::KeyPairOperaTab
KeyPairOperaTab(const std::string &key_id, QWidget *parent)
Construct a new Key Pair Opera Tab object.
Definition: KeyPairOperaTab.cpp:40
GpgFrontend::UI
Definition: FileReadTask.cpp:29